Bug 186516 - /usr/ports/misc/gnuls broken
Summary: /usr/ports/misc/gnuls broken
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Tijl Coosemans
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-06 18:20 UTC by dan
Modified: 2014-03-04 12:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description dan 2014-02-06 18:20:00 UTC
Port gnuls being apart of coreutils package, had known problems that had to be patched before version coreutils-8.22.tar.xz. Currently port has version coreutils-8.20.tar.xz.

Error:

lib/libcoreutils.a(striconv.o): In function `mem_cd_iconv':
lib/striconv.c:(.text+0x49): undefined reference to `libiconv'
lib/striconv.c:(.text+0xaa): undefined reference to `libiconv'
lib/striconv.c:(.text+0x117): undefined reference to `libiconv'
lib/striconv.c:(.text+0x181): undefined reference to `libiconv'
lib/striconv.c:(.text+0x1f0): undefined reference to `libiconv'
lib/libcoreutils.a(striconv.o):lib/striconv.c:(.text+0x24c): more undefined references to `libiconv' follow
lib/libcoreutils.a(striconv.o): In function `str_iconv':
lib/striconv.c:(.text+0x54f): undefined reference to `libiconv_open'
lib/striconv.c:(.text+0x576): undefined reference to `libiconv_close'
lib/striconv.c:(.text+0x5af): undefined reference to `libiconv_close'
  CCLD   src/false
cc: error: linker command failed with exit code 1 (use -v to see invocation)
gmake[3]: *** [src/factor] Error 1
gmake[3]: *** Waiting for unfinished jobs....
gmake[3]: Leaving directory `/usr/ports/misc/gnuls/work/coreutils-8.20'
gmake[2]: *** [all-recursive] Error 1
gmake[2]: Leaving directory `/usr/ports/misc/gnuls/work/coreutils-8.20'
gmake[1]: *** [all] Error 2
gmake[1]: Leaving directory `/usr/ports/misc/gnuls/work/coreutils-8.20'
===> Compilation failed unexpectedly.
Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
the maintainer.
*** Error code 1

Stop.
make: stopped in /usr/ports/misc/gnuls

Fix: 

Change following:

distinfo : (add this as only 2 lines in file)
SHA256 (coreutils-8.22.tar.xz) = 5b3e94998152c017e6c75d56b9b994188eb71bf46d4038a642cb9141f6ff1212
SIZE (coreutils-8.22.tar.xz) = 5335124

Makefile: ( edit line with PORTVERSION= and change to)
PORTVERSION=    8.22
How-To-Repeat: cd /usr/ports/misc/gnuls; make install
Comment 1 Edwin Groothuis freebsd_committer 2014-02-06 18:20:23 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2014-02-06 18:20:23 UTC
Maintainer of misc/gnuls,

Please note that PR ports/186516 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/186516

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Brian Clapper 2014-02-06 21:22:44 UTC
On Feb 6, 2014, at 1:20 PM, Edwin Groothuis <edwin@FreeBSD.org> wrote:

> Maintainer of misc/gnuls,
> 
> Please note that PR ports/186516 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/186516

Approved.
Comment 4 dfilter service freebsd_committer 2014-03-04 12:16:49 UTC
Author: tijl
Date: Tue Mar  4 12:16:41 2014
New Revision: 347014
URL: http://svnweb.freebsd.org/changeset/ports/347014
QAT: https://qat.redports.org/buildarchive/r347014/

Log:
  - Update misc/gnuls to 8.22. [1]
  - Add NLS option, USES=gmake, staging.
  
  PR:		ports/186516 [1]
  Approved by:	Brian Clapper <bmc@clapper.org> (maintainer) [1]

Modified:
  head/misc/gnuls/Makefile
  head/misc/gnuls/distinfo

Modified: head/misc/gnuls/Makefile
==============================================================================
--- head/misc/gnuls/Makefile	Tue Mar  4 11:59:17 2014	(r347013)
+++ head/misc/gnuls/Makefile	Tue Mar  4 12:16:41 2014	(r347014)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	gnuls
-PORTVERSION=	8.20
+PORTVERSION=	8.22
 CATEGORIES=	misc
 MASTER_SITES=	${MASTER_SITE_GNU}
 MASTER_SITE_SUBDIR=	coreutils
@@ -11,30 +11,36 @@ DISTNAME=	coreutils-${PORTVERSION}
 MAINTAINER=	bmc@clapper.org
 COMMENT=	GNU colorized 'ls'
 
+OPTIONS_DEFINE=		NLS
+NLS_CONFIGURE_ENABLE=	nls
+NLS_USES=		gettext
+
 GNU_CONFIGURE=	yes
 CONFIGURE_ENV=	LIBS="-L${LOCALBASE}/lib" FORCE_UNSAFE_CONFIGURE=1
 CPPFLAGS+=	-I${LOCALBASE}/include
 
-USE_XZ=		yes
-USE_GMAKE=	yes
+USES=		gmake perl5
 USE_LDCONFIG=	yes
-USES=		perl5
 USE_PERL5=	build
-
-MAN1=		gnuls.1 dircolors.1 dir.1 vdir.1
+USE_XZ=		yes
 
 PLIST_FILES=	bin/dir \
 		bin/dircolors \
 		bin/gnuls \
-		bin/vdir
+		bin/vdir \
+		man/man1/dir.1.gz \
+		man/man1/dircolors.1.gz \
+		man/man1/gnuls.1.gz \
+		man/man1/vdir.1.gz
 
-NO_STAGE=	yes
 do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/src/dir ${PREFIX}/bin
-	${INSTALL_PROGRAM} ${WRKSRC}/src/dircolors ${PREFIX}/bin
-	${INSTALL_PROGRAM} ${WRKSRC}/src/ls ${PREFIX}/bin/gnuls
-	${INSTALL_PROGRAM} ${WRKSRC}/src/vdir ${PREFIX}/bin
-	${CP} ${WRKSRC}/man/ls.1 ${WRKSRC}/man/gnuls.1
-	${INSTALL_MAN} ${MAN1:S,^,${WRKSRC}/man/,} ${MAN1PREFIX}/man/man1
+	${INSTALL_PROGRAM} ${WRKSRC}/src/dir ${STAGEDIR}${PREFIX}/bin
+	${INSTALL_PROGRAM} ${WRKSRC}/src/dircolors ${STAGEDIR}${PREFIX}/bin
+	${INSTALL_PROGRAM} ${WRKSRC}/src/ls ${STAGEDIR}${PREFIX}/bin/gnuls
+	${INSTALL_PROGRAM} ${WRKSRC}/src/vdir ${STAGEDIR}${PREFIX}/bin
+	${INSTALL_MAN} ${WRKSRC}/man/dir.1 ${STAGEDIR}${MAN1PREFIX}/man/man1
+	${INSTALL_MAN} ${WRKSRC}/man/dircolors.1 ${STAGEDIR}${MAN1PREFIX}/man/man1
+	${INSTALL_MAN} ${WRKSRC}/man/ls.1 ${STAGEDIR}${MAN1PREFIX}/man/man1/gnuls.1
+	${INSTALL_MAN} ${WRKSRC}/man/vdir.1 ${STAGEDIR}${MAN1PREFIX}/man/man1
 
 .include <bsd.port.mk>

Modified: head/misc/gnuls/distinfo
==============================================================================
--- head/misc/gnuls/distinfo	Tue Mar  4 11:59:17 2014	(r347013)
+++ head/misc/gnuls/distinfo	Tue Mar  4 12:16:41 2014	(r347014)
@@ -1,2 +1,2 @@
-SHA256 (coreutils-8.20.tar.xz) = dbcb798764827a0f74be738662ecb516705cf520330cd3d7b2640fdffa499eb2
-SIZE (coreutils-8.20.tar.xz) = 5273788
+SHA256 (coreutils-8.22.tar.xz) = 5b3e94998152c017e6c75d56b9b994188eb71bf46d4038a642cb9141f6ff1212
+SIZE (coreutils-8.22.tar.xz) = 5335124
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Tijl Coosemans freebsd_committer 2014-03-04 12:17:01 UTC
State Changed
From-To: feedback->closed

Committed in r347014. 


Comment 6 Tijl Coosemans freebsd_committer 2014-03-04 12:17:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tijl

Committed in r347014.